---
title: Ivanti Neurons for Zero Trust Access  Overview
slug: ps/help/en_us/nsa/22x/nsa-zta/api/ivanti-neurons-for-zero-trust-access-overview
createdAt: 2026-07-23T04:45:52.542Z
---

*Ivanti Neurons for Zero Trust Access* (*nZTA*) is a cloud-based SaaS (software as a service) application that provides fully-managed zero-trust authentication and access control for an organization’s application infrastructure. *nZTA* enables administrators to define end-to-end authorization and authentication policies that control application visibility, access, and security for all users and their devices.

The diagram below illustrates the different components in *nZTA*:

::Image[]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/n1JOUxff4idKQOz0z0ips_topology.png" position="flex-start" size="80" width="1958" height="1099" initialPath="Topology.png" githubPath="Topology.png" showCaption="false"}

:::Paragraph{indent="1"}
A typical *nZTA* deployment
:::

## Best Practice

### Always call the logout endpoint to end the session

When using the Neurons for Zero Trust Access REST APIs:

- Always call the logout endpoint to end the session:
  - On normal completion of your API workflow.
  - In error paths and on timeouts (use a finally block or equivalent to guarantee execution).
  - Before re-attempting login if you receive authentication errors that could be session-related.

This practice ensures clean session management, improves security, and helps avoid unexpected authentication issues.

### Using the logout endpoint

GET /api/my-session/logout

**Purpose**: Terminates the current authenticated session.

Authentication: Requires a valid active session (for example, session cookie or Authorization header).

**Request**:

Query parameters: none

Body: none

**Responses**:

200 OK – Logout successful. The current session is invalidated; subsequent API calls require re-authentication. Response body may be empty.

401 Unauthorized – No active session or invalid/expired credentials.

405 Method Not Allowed – If GET is not permitted on this endpoint.

5xx – Server-side error.

**Example requests:**

Using bearer token: `curl -k -X GET "https://<nsa-host>/api/my-session/logout" -H "Authorization: Bearer <access_token>"`

Using session cookie: `curl -k -X GET "https://<nsa-host>/api/my-session/logout" -H "Cookie: <session_cookie_name>=<session_id>"`

**Example response**: HTTP/1.1 200 OK

:::hint{type="info"}
If you receive 200 OK for this endpoint, logout is successful.
:::

To learn more about *nZTA*, see the *[Tenant Admin Guide](https://help.ivanti.com/ps/help/en_US/nSA/22.x/nsa-zta/ag/landingpage.htm)*.

This guide describes the REST API service running on the *Controller* and includes a list of supported API calls.

:::hint{type="info"}
Customer code calling Ivanti REST APIs must always handle [HTTP return codes](https://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml); for example, both cloud products can return 429 (Rate Limited), 503 (Service Unavailable), etc. Server side cloud capacity and rate limits are subject to change over time without notice. It is important to ensure that all integration code properly handles HTTP status codes and can retry requests at a later time where applicable.
:::

::::LinkArray{itemsPerRow="2" contentSource="CUSTOM"}
:::LinkArrayItem
::Image[[api_use_case.html#top](docId:L57zcVYzGiVv8r-cQNiG5)]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/BxGbJNew8HMx92yLv_KEj_icon-arrow-white.png" size="10" width="49" height="49" darkWidth="48" darkHeight="56" position="center" initialPath="Resources/Images/icon-arrow-white.png" githubPath="Resources/Images/icon-arrow-white.png" showCaption="false"}

[Use Case](docId\:L57zcVYzGiVv8r-cQNiG5)
:::

:::LinkArrayItem
::Image[[api_calls.html#top](docId:aL8GMecutFpZ6Qlw5Cwfp)]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/BxGbJNew8HMx92yLv_KEj_icon-arrow-white.png" size="10" width="49" height="49" darkWidth="48" darkHeight="56" position="center" initialPath="Resources/Images/icon-arrow-white.png" githubPath="Resources/Images/icon-arrow-white.png" showCaption="false"}

[API Calls](docId\:aL8GMecutFpZ6Qlw5Cwfp)
:::

:::LinkArrayItem
::Image[[../ZTAAPI.pdf](../ZTAAPI.pdf)]{src="https://api.archbee.com/api/optimize/wxZG1KsS4xNkVZYoiu_o9/BxGbJNew8HMx92yLv_KEj_icon-arrow-white.png" size="10" width="49" height="49" darkWidth="48" darkHeight="56" position="center" initialPath="Resources/Images/icon-arrow-white.png" githubPath="Resources/Images/icon-arrow-white.png" showCaption="false"}

[View as PDF](../ZTAAPI.pdf)
:::
::::
